# TpmConfig

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Socket** | **string** |  | 

## Methods

### NewTpmConfig

`func NewTpmConfig(socket string, ) *TpmConfig`

NewTpmConfig instantiates a new TpmConfig object
This constructor will assign default values to properties that have it defined,
and makes sure properties required by API are set, but the set of arguments
will change when the set of required properties is changed

### NewTpmConfigWithDefaults

`func NewTpmConfigWithDefaults() *TpmConfig`

NewTpmConfigWithDefaults instantiates a new TpmConfig object
This constructor will only assign default values to properties that have it defined,
but it doesn't guarantee that properties required by API are set

### GetSocket

`func (o *TpmConfig) GetSocket() string`

GetSocket returns the Socket field if non-nil, zero value otherwise.

### GetSocketOk

`func (o *TpmConfig) GetSocketOk() (*string, bool)`

GetSocketOk returns a tuple with the Socket field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### SetSocket

`func (o *TpmConfig) SetSocket(v string)`

SetSocket sets Socket field to given value.



[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


